Skip to main content
GET
/
project
/
v1
/
projects
List projects
curl --request GET \
  --url https://api-{region}.sesametime.com/project/v1/projects \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-{region}.sesametime.com/project/v1/projects"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-{region}.sesametime.com/project/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "parentProject": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "parentProject": null,
        "customer": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "customerName": "<string>",
          "firstName": "<string>",
          "lastName": "<string>",
          "email": "jsmith@example.com",
          "phone": "<string>",
          "description": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00",
          "deletedAt": "2020-01-01T10:00:00+01:00"
        },
        "price": 123,
        "startDate": "2023-12-25",
        "endDate": "2023-12-25",
        "manager": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "firstName": "Lucas",
          "lastName": "García",
          "secondLastName": "<string>",
          "email": "jsmith@example.com",
          "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
          "code": 1,
          "pin": 1000,
          "phone": "+34 111 11 11 11",
          "company": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "notificationEmail": "jsmith@example.com",
            "language": "<string>",
            "createdAt": "2020-01-01T10:00:00+01:00",
            "updatedAt": "2020-01-01T10:00:00+01:00"
          },
          "contractId": "<string>",
          "nid": "<string>",
          "secondaryNid": "<string>",
          "ssn": "<string>",
          "pricePerHour": 123,
          "accountNumber": "<string>",
          "dateOfBirth": "2023-12-25",
          "customFields": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "slug": "<string>",
              "type": "<string>",
              "value": "<string>",
              "createdAt": "2020-01-01T10:00:00+01:00",
              "updatedAt": "2020-01-01T10:00:00+01:00"
            }
          ],
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00",
          "children": 2,
          "disability": 25,
          "address": "<string>",
          "postalCode": "<string>",
          "city": "<string>",
          "province": "<string>",
          "country": "ES",
          "nationality": "ES",
          "nationalities": [
            "ES",
            "FR"
          ],
          "personalMail": "jsmith@example.com",
          "maritalStatus": "<string>",
          "emergencyPhone": "<string>",
          "description": "<string>",
          "salaryRange": "<string>",
          "studyLevel": "<string>",
          "professionalCategoryCode": "<string>",
          "professionalCategoryDescription": "<string>",
          "bic": "<string>",
          "jobChargeId": "<string>",
          "jobChargeName": "<string>",
          "jobChargeDescription": "<string>",
          "jobChargeCompetencies": "<string>",
          "language": "es-ES",
          "workPhone": "+34 111 11 11 11",
          "mainRecruiter": {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "firstName": "Lucas",
            "lastName": "García",
            "secondLastName": "<string>",
            "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
            "email": "jsmith@example.com",
            "workCheckTypeColor": "#FF0000",
            "workCheckTypeName": "Remote"
          },
          "nfc": "<string>",
          "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "description": "<string>"
      },
      "customer": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "customerName": "<string>",
        "firstName": "<string>",
        "lastName": "<string>",
        "email": "jsmith@example.com",
        "phone": "<string>",
        "description": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00",
        "deletedAt": "2020-01-01T10:00:00+01:00"
      },
      "price": 123,
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "manager": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "Lucas",
        "lastName": "García",
        "secondLastName": "<string>",
        "email": "jsmith@example.com",
        "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
        "code": 1,
        "pin": 1000,
        "phone": "+34 111 11 11 11",
        "company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "notificationEmail": "jsmith@example.com",
          "language": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00"
        },
        "contractId": "<string>",
        "nid": "<string>",
        "secondaryNid": "<string>",
        "ssn": "<string>",
        "pricePerHour": 123,
        "accountNumber": "<string>",
        "dateOfBirth": "2023-12-25",
        "customFields": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "slug": "<string>",
            "type": "<string>",
            "value": "<string>",
            "createdAt": "2020-01-01T10:00:00+01:00",
            "updatedAt": "2020-01-01T10:00:00+01:00"
          }
        ],
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00",
        "children": 2,
        "disability": 25,
        "address": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "province": "<string>",
        "country": "ES",
        "nationality": "ES",
        "nationalities": [
          "ES",
          "FR"
        ],
        "personalMail": "jsmith@example.com",
        "maritalStatus": "<string>",
        "emergencyPhone": "<string>",
        "description": "<string>",
        "salaryRange": "<string>",
        "studyLevel": "<string>",
        "professionalCategoryCode": "<string>",
        "professionalCategoryDescription": "<string>",
        "bic": "<string>",
        "jobChargeId": "<string>",
        "jobChargeName": "<string>",
        "jobChargeDescription": "<string>",
        "jobChargeCompetencies": "<string>",
        "language": "es-ES",
        "workPhone": "+34 111 11 11 11",
        "mainRecruiter": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "firstName": "Lucas",
          "lastName": "García",
          "secondLastName": "<string>",
          "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
          "email": "jsmith@example.com",
          "workCheckTypeColor": "#FF0000",
          "workCheckTypeName": "Remote"
        },
        "nfc": "<string>",
        "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "description": "<string>",
      "color": "<string>",
      "fixedCost": 123,
      "progress": 123,
      "totalMinutes": 123
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id
string<uuid>
required

Company ID

page
integer

Request a specific page

limit
integer

Limit results

orderBy
string

field1 asc, field2 desc

Response

200 - application/json

Object

data
object[]
meta
object